#include "signindialog.h"
#include "ui_signindialog.h"

signInDialog::signInDialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::signInDialog)
{
    ui->setupUi(this);
}

signInDialog::~signInDialog()
{
    delete ui;
}

void signInDialog::on_pushButton_clicked()
{
    /*
        HostName: 195.19.32.74;
        DatabaseName: fn1131_2021
        Port: 5432
        UserName: student
        Password: bmstu
    */
    db = QSqlDatabase::addDatabase("QPSQL");
    db.setHostName(ui->hostname_lineEdit->text());
    db.setDatabaseName(ui->databasename_lineEdit->text());
    db.setPort(ui->port_lineEdit->text().toInt());
    db.setUserName(ui->username_lineEdit->text());
    db.setPassword(ui->password_lineEdit->text());

    if(!db.open())
    {
        QMessageBox msgBox;
        msgBox.setText("Failed to connect to database. Check inputed data.");
        msgBox.setIcon(QMessageBox::Warning);
        msgBox.exec();
    }
    else
    {
        this->hide();
        DB_wnd = new editDBDialog(db, this);
        DB_wnd->show();
    }
}

